
import os
import re

def find_files_in_directory(directory):
    """
    This function finds all files in the given directory and returns their names.

    :param directory: str, the path to the directory to search in
    :return: list of str, the names of the files in the directory
    """
    return [f for f in os.listdir(directory) if os.path.isfile(os.path.join(directory, f))]

